/**
 * \file felhfelulet.h
 *
 * A felhasználói felületet megvalósító osztályok definiciói
 * Nem ismeri a modellt.
 *
 */
#ifndef FELULET_H
#define FELULET_H
#include "callback.h"

/// Gomb.
/// A gomb "megnyomására" meghívódik a nyom() tagfüggvény
class Gomb {
    GombCallback &cb;           /// callback objektum referencia
public:
    /// konstruktor egy GombcallBack típusú objektumot kap, amiben a meghívandó cb. függvény van.
    Gomb (GombCallback &t) :cb(t) {}// referencia inic.

    /// A felhasználó felületen megnyomták a gombot
    void nyom() {               // megnyomták
        cb.callBack();
    }
};
#endif // FELULET_H
