#include <iostream>
#include <fstream>



/// Bugyuta kd, ami megszmolja a sorok szmt.
/// Ha van 9 karakternl hosszabb sora, akkor hibt dob.
int szamol(const char *f) {
    std::ifstream inp(f); 	/// megnyits
    int n = 0;
    while (inp.good()) {    /// file feldolgozsa
        char buf[9+1];
        inp.getline(buf, 9+1);/// sorvegig, de max 9 kar.
        if (inp.eof()) break;
        if (inp.fail()) {
            inp.close();     /// lezrs hiba esetn
            throw  "baj_van";
        }
        n++;
    }
    inp.close();	         /// lezrs normal esetn
    return (n);
}


struct Inputstream : std::ifstream {
    Inputstream(const char *f) :std::ifstream(f) {}
    ~Inputstream() { close(); }
};


int szamol2(const char *f) {
    Inputstream inp(f); /// megnyits
    int n = 0;
    while (inp.good()) {    /// file feldolgozsa
        char buf[9+1];
        inp.getline(buf, 9+1);/// sorvegig, de max 9 kar.
        if (inp.eof()) break;
        if (inp.fail()) throw  "baj_van";
        n++;
    }
    return (n);
}


int main() {
    try {
        std::cout << szamol2("file.txt") << std::endl;
    } catch (...) {
        std::cout << "baj van\n" << std::endl;
    }
}
