/**
 * \file pkomplex.cpp
  *   perzisztens komplex osztály megvalósítása
 */

#include "pkomplex.h"

void PKomplex::write(std::ostream& os) const {
    os << getRe() << "," << getIm() << std::endl;
}

void PKomplex::read(std::istream& is) {
    double tmp;
    (is >> tmp).ignore(1);
    setRe(tmp);
    (is >> tmp).ignore(1);
    setIm(tmp);
}
