/**
 * \file serializable.h
 *
 */

#ifndef SERIALIZABLE_H
#define SERIALIZABLE_H

#include <iostream>


struct Serializable {
    virtual void write(std::ostream& os) const = 0; // kiíró
    virtual void read(std::istream& is) = 0;	    // beolvasó
    virtual ~Serializable() {}
};
#endif
