/**
 * \file iroda.cpp
 *
 * Irodai hierarchiát megvalósító osztályok
 *
 */
#include <iostream>
#include "iroda.h"

using std::cout;
using std::endl;

void Alkalmazott::kiir() const {
   cout << nev << " fizetese: " << fizetes << endl;
}

void HatIdCsV::kiir() const {
    CsopVez::kiir();
    HatIdeju::kiir();
}

void HatIdCsVezH::kiir() const {
    HatIdCsV::kiir();
    cout << "Kit helyettesit: " << kit.getNev() << endl;
}
