/**
 * \file main.cpp
 *
 * Egyszerű program a diamond öröklés bajainak bemutatására
 *
 * Az iroda.h fájl elején levő VIRT_OROKLESSEL szimbólumtól függően
 * virt.örökléssel, vagy anélkül fordul.
 *
 */

#include "iroda.h"

int main() {
    Alkalmazott lusta("Lusta Dick", 100);
    HatIdeju grabo("Grabovszki", 300, 1000);
    CsopVez gatto("Mr. Gatto ", 500, 1);
    HatIdCsV tejfel("Mr. Tejfel", 600, 2, 1000);
    HatIdCsVezH safra(tejfel, "Safranek", 700, 1000);

    lusta.kiir();
    grabo.kiir();
    gatto.kiir();
    tejfel.kiir();
    safra.kiir();

    return 0;
}

