/**
 * \file modell.cpp
 *
 * A modell-t megvalósító osztályok deklarációi
 * Nem ismeri a felhasználói felületet.
 *
 */
#include <iostream>
#include "modell.h"

using std::cout;
using std::endl;

/// Kikapcsol
void Kapcsolo::ki() {
    bent = false;
    cout << nev << ": Kikapcs" << endl;
}

/// Bekapcsol
void Kapcsolo::be() {
    bent = true;
    cout << nev << ": Bekapcs" << endl;
}

 /// GombCallback callBack függvényének megvalósítása
 /// A felhasználói felület ezt hívja
 void Kapcsolo::callBack() {
    if (bent)
        ki();
    else
        be();
}
